# Table of Contents - http_connection, HTTP helper library for Ruby

## Pages

- README
  - DESCRIPTION:
  - FEATURES:
  - SYNOPSIS:
  - REQUIREMENTS:
  - INSTALL:
  - LICENSE:

## Classes and Modules

- Rightscale
- Rightscale::HttpConnection

## Methods

- ::blank? — Rightscale::HttpConnection
- ::new — Rightscale::HttpConnection
- ::params — Rightscale::HttpConnection
- ::params= — Rightscale::HttpConnection
- #close — Rightscale::HttpConnection
- #finish — Rightscale::HttpConnection
- #get_param — Rightscale::HttpConnection
- #local_read_size= — Rightscale::HttpConnection
- #local_read_size? — Rightscale::HttpConnection
- #request — Rightscale::HttpConnection
- #socket_read_size= — Rightscale::HttpConnection
- #socket_read_size? — Rightscale::HttpConnection